; ------------------------------------------------------------------------------------------------------
; Konstanten
; ------------------------------------------------------------------------------------------------------
Const
      ; ------------------------------------------------------------------------------------------------------------
      ; Sprach-spezifisch (nderbar)
      ; ------------------------------------------------------------------------------------------------------------
      cCDExSettingsTitle = "CDEx Einstellungen", 
      cCDExExtractTracksTitle = "Extrahieren der CD Tracks", 
      cConvertDialogTitle = "Dateikonvertierung", 
      cCommon = "Allgemein",
      cFilenames = "Dateinamen", 
      cReplace = "Zeichenersetzung",
      cCDDrive = "CD-Laufwerk", 
      cEncoder = "Kodierer", 
      cCDDBLocal = "Lokale CDDB", 
      cCDDBRemote = "Remote CDDB", 
      cEncoding = "Encoding", 
      cTags = "Tags", 
      cOverwriteWindow = "Warnung Dateiberschreibung", 
      ; ------------------------------------------------------------------------------------------------------------
      ; ControlType (nicht ndern)
      ; ------------------------------------------------------------------------------------------------------------
      cSysTreeView =  "SysTreeView32", 
      cComboBox = "ComboBox", 
      cEdit = "Edit", 
      ; ------------------------------------------------------------------------------------------------------------
      ; Control-IDs (nicht ndern)
      ; ------------------------------------------------------------------------------------------------------------
      ; Allgemein      
      idTempFiles = 1186, ; auf Seite "Allgemein"
      idNormalice1 = 1119, 
      idNormalice2 = 1121, 
      idNormalice3 = 1122, 
      idNormalice4 = 1120,
      ; Dateinamen
      idFormat = 1076, 
      idWaveToMp3 = 1018, 
      idRecord = 1017, 
      idTracklistM3U = 1091, 
      idTracklistPLS = 1092,  
      idButtonChars = 1145, 
      ; Zeichenersetzung
      idChar1 = 1121,
      idChar2 = 1122,
      idChar3 = 1123, 
      idChar4 = 1124, 
      idChar5 = 1125,
      idChar6 = 1126, 
      idChar7 = 1127, 
      idChar8 = 1128, 
      idChar9 = 1129, 
      idChar10 =1130, 
      ; CD-Laufwerk
      idCDDrive = 1020, 
      idReadSectors = 1021,
      idRepeat = 1024, 
      idSampleOffset = 1119, 
      idStartOffset = 1007, 
      idSpeed = 1028, 
      idEndOffset = 1008, 
      idSpinUpTime = 1029, 
      idDriveType = 1072, 
      idExtractMethod = 1073, 
      ; Encoder
      idPriority = 1059, 
      idEncoder = 1062, 
      idMinBitRate = 1122, 
      idMaxBitRate = 1014, 
      idQuality = 1044,
      idVBRQuality = 1112, 
      idSampleRate = 1114, 
      ; Locale CDDB
      idLocalCDDBPath = 1082, 
      idWinamp = 1083, 
      ; Remote Server
      idRemoteServer = 1097, 
      idRemoteServerLocation = 1122,
      idRemoteServerAdress = 1157,
      idRemoteServerPath = 1158, 
      idRemoteServerProtocol = 1156, 
      idRemoteServerPort = 1121,    
      idMailAdress = 1112, 
      idTimeout = 1060, 
      idUseProxy = 1055, 
      idUseProxyPort = 1056, 
      idAuthenticate = 1059, 
      idAuthenticatePW = 1058, 
      ; Tags
      idTrackNumberFormat = 1197, 
      idComment = 1142, 
      idEncodedBy = 1143, 
      idPicturePath = 1144, 
      idPictureText = 1145,   
      idAddPicture = 1382, 
      ; Hauptfenster
      idTrackList = 1009, 
      idTrackListName = "List2", 
      idArtist = 1039,
      idTitle = 1040, 
      idGenre = 1002, 
      idYear = 1081, 
      
      idFormatHelp = 1078, 
      idFormatPlaylistHelp = 1081, 
      idArtistAndTrack = 1149, 
      idArtistAndTrackChar = 1119,
      idFormatPlaylist = 1080, 
      idChangeDrive = 32846, 
      
      cAutomationIDFormat = "1077",
      cAutomationIDFormatPlaylist = "1079", 
      cAutomationIDTreeView = "32494", 
      cCDExVersion = "2.23",
      
      ; ------------------------------------------------------------------------------------------------------------
      ; Schaltflchen (nicht ndern)
      ; ------------------------------------------------------------------------------------------------------------
      btnTemp = 1, 
      btnWaveToMP3 = 2, 
      btnRecord = 3, 
      btnLocalCDDB = 4, 
      btnWinamp = 5,
      btnPicture = 6, 
      ; ------------------------------------------------------------------------------------------------------------
      ; Text-Fehler im Extrahieren-Dialog (nicht ndern)
      ; ------------------------------------------------------------------------------------------------------------
      cTrackFromTrack = 1, 
      cFilename = 2, 
      cPeak = 3, 
      cTimeTrack = 4, 
      cTimeCD = 5, 
      cJitter = 6, 
      ; ------------------------------------------------------------------------------------------------------------
      ; Meldungen (nderbar)
      ; ------------------------------------------------------------------------------------------------------------
      msgTempFiles = "Temporre Dateien", 
      msgF2ToChange = "Zum ndern des Verzeichnisses F2 oder Enter drcken", 
      MsgSayLine = "Zum Anren des Wertes JAWS+Pfeil hoch drcken", 
      msgNoRightVersion = "Sie verwenden eine CDEx-Version, die mit diesen Skripts nicht kompatibel ist. Mglicherwiese knnen einige Skripts nicht verwendet werden",
      msgCDEx = "JAWS-Skripts fr CDEx Version 2.23",
      msgNormalice1 = "Normalisiert die Lautstrke auf die hier angegebene Prozentzahl wenn das Signal im folgenden Eingabefeld kleiner als die darin angegebene Prozentzahl ist", 
      msgNormalice2 = "Wenn das Signal kleiner als der hier eingestellte Prozentwert ist, dann auf den Wert des vorherigen Eingabefeldes setzen", 
      msgNormalice3 = "Normalisiert die Lautstrke auf die hier angegebene Prozentzahl wenn das Signal im folgenden Eingabefeld grer als die darin angegebene Prozentzahl ist",       
	  msgNormalice4 = "Wenn das Signal grer als der hier eingestellte Prozentwert ist, dann auf den Wert des vorherigen Eingabefeldes setzen", 
      msgInfo = "Zum Anhren des eingestellten Wertes drcken Sie F2", 
      msgFormat = "Ausgabeformat fr Datei und Verzeichnisse",
      msgFormatHelp = "Ausgabeformathilfe, ffnet einen Dialog mit Erklrungen zur Formatangabe",
      msgWaveToMp3 = "Verzeichnisauswahl Umwandlung Wave nach MP3",	  
      msgRecord = "Verzeichnisauswahl fr aufgenommene Dateien",
      msgFormatPlaylistHelp = "Abspielliste Formathilfe, ffnet einen Dialog mit Erklrungen zur Formatangabe", 
      msgArtistAndTrack = "Drcken Sie anschlieend Tab und geben ein Trennzeichen ein", 
      msgArtistAmdTrackChar = "Geben Sie hier das Zeichen ein, welches Knstler und Track trennen soll, das vorhergehende Kontrollfeld muss aktiviert sein. Voreingestellt ist ", 
      msgFormatPlaylist = "Format der Abspielliste", 
      msgTracklistM3U = "Abspielliste im Format M3U hinzufgen", 
      msgTracklistPLS = "Abspielliste im Format PLS hinzufgen",
      msgChar1 = "Kleiner als Zeichen ersetzen durch", 
      msgChar2 = "Grer als Zeichen ersetzen durch", 
      msgChar3 = "Doppelpunkt ersetzen durch", 
      msgChar4 = "Anfhrungszeichen ersetzen durch", 
      msgChar5 = "Schrgstrich ersetzen durch", 
      msgChar6 = "Backslash ersetzen durch", 
      msgChar7 = "Senkrechter Strich ersetzen durch", 
      msgChar8 = "Sternchen ersetzen durch", 
      msgChar9 = "Fragezeichen ersetzen durch", 
      msgChar10 = "Leerzeichen ersetzen durch", 
      msgCDDrive = "CD-Laufwerk",
      msgReadSectors = "Sektoren lesen", 
      msgRepeat = "Wiederholungen", 
      msgSampleOffset = "Sample Offset", 
      msgStartOffset = "Start Versatz (Sektoren)", 
      msgSpeed = "CD Geschwindigkeit", 
      msgEndOffset = "Ende Versatz (Sektoren)", 
      msgSpinUpTime = "Spin-Up-Zeit in Sekunden", 
      msgDriveType = "CD-Laufwerktyp", 
      msgExtractMethod = "Extrahieren Methode", 
      msgPriority = "Prozessprioritt", 
      msgEncoder = "Kodierer", 
      msgMinBitRate = "Minimale Bitrate", 
      msgMaxBitRate = "Maximale Bitrate", 
      msgQuality = "Qualitt", 
      msgVBRQuality = "VBR Qualitt",
      msgSampleRate = "Ausgabe Samplerate", 
      msgLocalCDDBPath = "lokaler CDDB Pfad", 
      msgWinamp = "Winamp in_cdda.cdb Pfad (Winamp 2.78 Format)", 
      msgRemoteServer = "Remote Server", 
      msgRemoteServerLocation = "Remote Server Ort",
      msgRemoteServerAdress = "Remote Server Adresse",
      msgRemoteServerPath = "Remote Server Pfad", 
      msgRemoteServerProtocol = "Remote Server Protokoll", 
      msgRemoteServerPort = "Remote Server Port",    
      msgMailAdress = "Ihre E-Mail-Adresse", 
      msgTimeout = "Zeitberschreitung in Sekunden", 
      msgUseProxy = "Proxy Adresse", 
      msgUseProxyPort = "Proxy Port", 
      msgAuthenticate = "Authentifizierungsname", 
      msgAuthenticatePW = "Kennwort zur Authentifizierung", 

      msgTrackNumberFormat = "Tracknummer Format", 
      msgComment = "Kommentar", 
      msgEncodedBy = "Kodiert von", 
      msgPicturePath = "Pfad zur Bilddatei", 
      msgPictureText = "Text fr das Bild",   
      msgAddPicture = "Album-Cover hinzufgen", 

      msgNoSettingsDialog = "Nicht im Einstellungsdialog", 
      msgChars = "Zeichensatz, ffnet einen Dialog, in dem sie unerlaubte Zeichen in Dateinamen ersetzen knnen",
      msgNoButtonFound = "Konnte die Schaltflche nicht finden", 

      msgTrackList = "Trackliste", 
      msgArtist = "Knstler",
      msgTitle = "Album-Titel", 
      msgGenre = "Genre", 
      msgYear = "Erscheinungsjahr", 
      cDummy = 0
 
 

 
; ------------------------------------------------------------------------------------------------------
; Globale Variablen
; ------------------------------------------------------------------------------------------------------
Globals
      int giInTackList

